
# NOTE: build against: rhevm-*-docs-candidate

# change these as needed
%global locale en-US
%global beta 0
%global product_line 3.6
#

%global manualdir %{_docdir}/%{name}/manual
%if 0%{?beta}
%global product_line_path %{product_line}-Beta
%else
%global product_line_path %{product_line}
%endif

%global product Red_Hat_Enterprise_Virtualization

%global admin_guide Administration_Guide
%global hardware_sriov Hardware_Considerations_for_Implementing_SR-IOV
%global install_guide Installation_Guide
%global admin_portal Introduction_to_the_Administration_Portal
%global user_portal Introduction_to_the_User_Portal
%global java_sdk Java_SDK_Guide
%global pkg_manifest Package_Manifest
%global python_sdk Python_SDK_Guide
%global release_notes Release_Notes
%global reports Reports_and_Data_Warehouse_Guide
%global rest REST_API_Guide
%global shell RHEVM_Shell_Guide
%global selfhosted Self-Hosted_Engine_Guide
%global tech_notes Technical_Notes
%global tech_ref Technical_Reference
%global upgrade_guide Upgrade_Guide
%global vmm_guide Virtual_Machine_Management_Guide

%global admin_guide_book %{product}-%{admin_guide}-%{product_line_path}-web-%{locale}
%global hardware_sriov_book %{product}-%{hardware_sriov}-%{product_line_path}-web-%{locale}
%global install_guide_book %{product}-%{install_guide}-%{product_line_path}-web-%{locale}
%global admin_portal_book %{product}-%{admin_portal}-%{product_line_path}-web-%{locale}
%global user_portal_book %{product}-%{user_portal}-%{product_line_path}-web-%{locale}
%global java_sdk_book %{product}-%{java_sdk}-%{product_line_path}-web-%{locale}
%global pkg_manifest_book %{product}-%{pkg_manifest}-%{product_line_path}-web-%{locale}
%global python_sdk_book %{product}-%{python_sdk}-%{product_line_path}-web-%{locale}
%global release_notes_book %{product}-%{release_notes}-%{product_line_path}-web-%{locale}
%global reports_book %{product}-%{reports}-%{product_line_path}-web-%{locale}
%global rest_book %{product}-%{rest}-%{product_line_path}-web-%{locale}
%global shell_book %{product}-%{shell}-%{product_line_path}-web-%{locale}
%global selfhosted_book %{product}-%{selfhosted}-%{product_line_path}-web-%{locale}
%global tech_notes_book %{product}-%{tech_notes}-%{product_line_path}-web-%{locale}
%global tech_ref_book %{product}-%{tech_ref}-%{product_line_path}-web-%{locale}
%global upgrade_guide_book %{product}-%{upgrade_guide}-%{product_line_path}-web-%{locale}
%global vmm_guide_book %{product}-%{vmm_guide}-%{product_line_path}-web-%{locale}

%global lang_css Common_Content/css/lang.css
%global missing_pdf_placeholder %{product}-missing.pdf
%global missing_html_placeholder %{product}-missing

Name:		rhevm-doc
Version:	%{product_line}.9
Release:	1%{?dist}

Summary:	Red Hat Enterprise Virtualization documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source0:	%{name}-index-%{locale}-3.6.8-1.tar.gz
Source1:    %{admin_guide_book}-%{product_line}-19.tgz
Source2:    %{hardware_sriov_book}-%{product_line}-3.tgz
Source3:    %{install_guide_book}-%{product_line}-18.tgz
Source4:    %{admin_portal_book}-%{product_line}-4.tgz
Source5:    %{user_portal_book}-%{product_line}-4.tgz
Source6:    %{java_sdk_book}-%{product_line}-4.tgz
Source7:    %{pkg_manifest_book}-%{product_line}-8.tgz
Source8:    %{python_sdk_book}-%{product_line}-6.tgz
Source9:    %{release_notes_book}-%{product_line}-16.tgz
Source10:    %{reports_book}-%{product_line}-6.tgz
Source11:   %{rest_book}-%{product_line}-12.tgz
Source12:   %{shell_book}-%{product_line}-7.tgz
Source13:   %{selfhosted_book}-%{product_line}-18.tgz
Source14:   %{tech_notes_book}-%{product_line}-1.tgz
Source15:   %{tech_ref_book}-%{product_line}-11.tgz
Source16:   %{upgrade_guide_book}-%{product_line}-10.tgz
Source17:   %{vmm_guide_book}-%{product_line}-19.tgz


BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican-API = 4.1
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat-201405
BuildRequires: publican-redhat-db5-201405

BuildRequires:	python
BuildRequires:	python-argparse

%description

This package contains the Red Hat Enterprise Virtualization
in-product documentation in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
%setup -q -T -D -a 1 -c
%setup -q -T -D -a 2 -c
%setup -q -T -D -a 3 -c
%setup -q -T -D -a 4 -c
%setup -q -T -D -a 5 -c
%setup -q -T -D -a 6 -c
%setup -q -T -D -a 7 -c
%setup -q -T -D -a 8 -c
%setup -q -T -D -a 9 -c
%setup -q -T -D -a 10 -c
%setup -q -T -D -a 11 -c
%setup -q -T -D -a 12 -c
%setup -q -T -D -a 13 -c
%setup -q -T -D -a 14 -c
%setup -q -T -D -a 15 -c
%setup -q -T -D -a 16 -c
%setup -q -T -D -a 17 -c

%build
make -C rhevm-doc-index

####################
# comment out any of the below books (or individual formats) as necessary. The rest of the script will insert placeholders.
####################

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{admin_guide_book}-%{product_line} --publish
touch %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{admin_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{hardware_sriov_book}-%{product_line} --publish
touch %{hardware_sriov_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{hardware_sriov}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{install_guide_book}-%{product_line} --publish
touch %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{install_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{admin_portal_book}-%{product_line} --publish
touch %{admin_portal_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{admin_portal}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{user_portal_book}-%{product_line} --publish
touch %{user_portal_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{user_portal}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{java_sdk_book}-%{product_line} --publish
touch %{java_sdk_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{java_sdk}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{pkg_manifest_book}-%{product_line} --publish
touch %{pkg_manifest_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{pkg_manifest}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{python_sdk_book}-%{product_line} --publish
touch %{python_sdk_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{python_sdk}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{release_notes_book}-%{product_line} --publish
touch %{release_notes_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{release_notes}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{reports_book}-%{product_line} --publish
touch %{reports_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{reports}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{rest_book}-%{product_line} --publish
touch %{rest_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{rest}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{shell_book}-%{product_line} --publish
touch %{shell_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{shell}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{selfhosted_book}-%{product_line} --publish
touch %{selfhosted_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{selfhosted}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{tech_notes_book}-%{product_line} --publish
touch %{tech_notes_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{tech_notes}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{tech_ref_book}-%{product_line} --publish
touch %{tech_ref_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{tech_ref}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{upgrade_guide_book}-%{product_line} --publish
touch %{upgrade_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{upgrade_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{vmm_guide_book}-%{product_line} --publish
touch %{vmm_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{vmm_guide}/%{lang_css}
rm -rf tmp


%install
rm -rf "%{buildroot}"
make -C rhevm-doc-index install DESTDIR="%{buildroot}"

# create the directory structure that ovirt-engine expects

mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{hardware_sriov}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{user_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{java_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{pkg_manifest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{python_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{release_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{reports}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{rest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{shell}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{selfhosted}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_ref}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{upgrade_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/html/%{vmm_guide}

mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{hardware_sriov}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_portal}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{java_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{pkg_manifest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{python_sdk}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{release_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{reports}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{rest}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{shell}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{selfhosted}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_notes}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_ref}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{upgrade_guide}
mkdir -p "%{buildroot}%{manualdir}/%{locale}"/pdf/%{vmm_guide}


# package any book content that was generated by publican
# if there was no book content, the first cp fails and the second cp installs a placeholder

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_guide}/
cp -r %{hardware_sriov_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{hardware_sriov}/
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{install_guide}/
cp -r %{admin_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{admin_portal}/
cp -r %{user_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{user_portal}/
cp -r %{java_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{java_sdk}/
cp -r %{pkg_manifest_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{pkg_manifest}/
cp -r %{python_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{python_sdk}/
cp -r %{release_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{release_notes}/
cp -r %{reports_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{reports}/
cp -r %{rest_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{rest}/
cp -r %{shell_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{shell}/
cp -r %{selfhosted_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{selfhosted}/
cp -r %{tech_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_notes}/
cp -r %{tech_ref_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{tech_ref}/
cp -r %{upgrade_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{upgrade_guide}/
cp -r %{vmm_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_html_placeholder}/* "%{buildroot}%{manualdir}/%{locale}"/html/%{vmm_guide}/

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_guide}/%{product}-%{admin_guide}-%{locale}.pdf
cp -r %{hardware_sriov_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{hardware_sriov}/%{product}-%{hardware_sriov}-%{locale}.pdf
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{install_guide}/%{product}-%{install_guide}-%{locale}.pdf
cp -r %{admin_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{admin_portal}/%{product}-%{admin_portal}-%{locale}.pdf
cp -r %{user_portal_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{user_portal}/%{product}-%{user_portal}-%{locale}.pdf
cp -r %{java_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{java_sdk}/%{product}-%{java_sdk}-%{locale}.pdf
cp -r %{pkg_manifest_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{pkg_manifest}/%{product}-%{pkg_manifest}-%{locale}.pdf
cp -r %{python_sdk_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{python_sdk}/%{product}-%{python_sdk}-%{locale}.pdf
cp -r %{release_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{release_notes}/%{product}-%{release_notes}-%{locale}.pdf
cp -r %{reports_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{reports}/%{product}-%{reports}-%{locale}.pdf
cp -r %{rest_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{rest}/%{product}-%{rest}-%{locale}.pdf
cp -r %{shell_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{shell}/%{product}-%{shell}-%{locale}.pdf
cp -r %{selfhosted_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{selfhosted}/%{product}-%{selfhosted}-%{locale}.pdf
cp -r %{tech_notes_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_notes}/%{product}-%{tech_notes}-%{locale}.pdf
cp -r %{tech_ref_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{tech_ref}/%{product}-%{tech_ref}-%{locale}.pdf
cp -r %{upgrade_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{upgrade_guide}/%{product}-%{upgrade_guide}-%{locale}.pdf
cp -r %{vmm_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || \
    cp rhevm-doc-index/%{missing_pdf_placeholder} "%{buildroot}%{manualdir}/%{locale}"/pdf/%{vmm_guide}/%{product}-%{vmm_guide}-%{locale}.pdf

# tweak pdf file names
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip locales
	mv "${f}" "$(echo "${f}" | sed 's/-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z]\.pdf/.pdf/')" || /bin/true
done
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip version numbers
	mv "${f}" "$(echo "${f}" | sed 's/%{product}-%{product_line_path}-/%{product}-/')" || /bin/true
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf
%{manualdir}/

%changelog
* Mon Aug 29 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.9-1
- 3.6.9-1. update books and mapping file.
* Tue Jul 5 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.8-1
- 3.6.8-1. update books and mapping file.
* Mon May 23 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.7-1
- 3.6.7-1. update books and mapping file.
* Thu Apr 14 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-7
- 3.6.0-7. update mapping file. add new books. a little cleanup.
* Mon Mar 28 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-6
- 3.6.0-6. update books.
* Thu Mar 3 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-5
- 3.6.0-5. update CSH mapping.
* Mon Feb 22 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-4
- 3.6.0-4. added sr-iov book. updated mapping files and books for GA.
* Wed Feb 3 2016 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-3
- 3.6.0-3.
* Wed Nov 11 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-2
- 3.6.0-2.
* Mon Apr 20 2015 Greg Sheremeta <gshereme@redhat.com> - 3.6.0-1
- 3.6.0-1.
* Fri Mar 27 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.1-2
- 3.5.1-2. updated with multi-locale mapping files
* Thu Mar 19 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.1-1
- 3.5.1-1. updated CSH mapping and books.
* Tue Mar 3 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-5
- 3.5.0-5. updated CSH mapping and books.
* Sun Dec 14 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-4
- 3.5.0-4. fixed bug in PDF name cleaning
* Tue Nov 25 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-3
- 3.5.0-3
* Thu Nov 20 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-2
- 3.5.0-2. completely revamped to use docbook source directly.
* Thu Sep 11 2014 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-1
- 3.5.0-1
* Wed May 28 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-6
- added section to strip locale from pdf names. added section to
  strip missing lang.css imports from css files. removed
  references to Linux in the book names.
* Wed Apr 30 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-5
- 3.4.0-5
* Tue Apr 29 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-4
- 3.4.0-4
* Tue Apr 22 2014 Greg Sheremeta <gshereme@redhat.com> - 3.4.0-3
- 3.4.0-3
* Tue Apr 1 2014 Kiril Nesenko <knesenko@redhat.com> - 3.4.0-2
- 3.4.0-2
